Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.project
Class ProjectDataSource

    java.lang.Object
      org.apache.cayenne.project.ProjectDataSource

All Implemented Interfaces:
  DataSource

    public class ProjectDataSource

extends Object
implements DataSource

ProjectDataSource is a DataSource implementation used by the project model.

Field Summary
`protected DataSourceInfo` | `info`

Constructor Summary
`ProjectDataSource(DataSourceInfo info)`

Method Summary
`Connection` | `getConnection()`
`Connection` | `getConnection(String username, String password)`
`DataSourceInfo` | `getDataSourceInfo()`
`int` | `getLoginTimeout()`
`PrintWriter` | `getLogWriter()`
`void` | `setLoginTimeout(int seconds)`
`void` | `setLogWriter(PrintWriter out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### info

    protected DataSourceInfo info

Constructor Detail

### ProjectDataSource

    public ProjectDataSource(DataSourceInfo info)

Method Detail

### getDataSourceInfo

    public DataSourceInfo getDataSourceInfo()

### getConnection

    public Connection getConnection()
                             throws SQLException

  Specified by:
    `getConnection` in interface `DataSource`
  Throws:
    `SQLException`

### getConnection

    public Connection getConnection(String username,
                                    String password)
                             throws SQLException

  Specified by:
    `getConnection` in interface `DataSource`
  Throws:
    `SQLException`

### getLogWriter

    public PrintWriter getLogWriter()
                             throws SQLException

  Specified by:
    `getLogWriter` in interface `DataSource`
  Throws:
    `SQLException`

### setLogWriter

    public void setLogWriter(PrintWriter out)
                      throws SQLException

  Specified by:
    `setLogWriter` in interface `DataSource`
  Throws:
    `SQLException`

### setLoginTimeout

    public void setLoginTimeout(int seconds)
                         throws SQLException

  Specified by:
    `setLoginTimeout` in interface `DataSource`
  Throws:
    `SQLException`

### getLoginTimeout

    public int getLoginTimeout()
                        throws SQLException

  Specified by:
    `getLoginTimeout` in interface `DataSource`
  Throws:
    `SQLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2007 Apache Cayenne. All Rights Reserved.